Processors::Info(3pm)

NAME
Unix::Processors::Info - Interface to processor (CPU) information

SYNOPSIS
  use Unix::Processors;

  ...
  $aproc = $proc->processors[0];
      print ($aproc->id, $aproc->state, $aproc->clock);
  }

DESCRIPTION
This package provides access to per-processor (CPU) information from the operating system in a OS independent manner.

id  Return the cpu number of this processor.

clock
    Return the clock frequency in MHz.

state
    Return the cpu state as "online", "offline", or "poweroff".

type
    Return the cpu type.

DISTRIBUTION
The latest version is available from CPAN and from <http://www.veripool.org/>.

Copyright 1999-2017 by Wilson Snyder. This package is free software; you can redistribute it and/or modify it under the terms of either the GNU Lesser General Public License Version 3 or the Perl Artistic License Version 2.0.

AUTHORS
Wilson Snyder <wsnyder@wsnyder.org>

SEE ALSO
Unix::Processors